Debian Bug report logs - #605065
kfreebsd-image-8.1-1-amd64: Delete key does not delete the character to the right of the cursor

version graph

Package: kfreebsd-image-8.1-1-amd64; Maintainer for kfreebsd-image-8.1-1-amd64 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Modestas <modax@debian.org>

Date: Fri, 26 Nov 2010 21:54:01 UTC

Severity: serious

Tags: squeeze-ignore

Found in versions kfreebsd-8/8.1+dfsg-7.1, kfreebsd-8/8.1-5

Fixed in versions kfreebsd-8/8.1+dfsg-7, kfreebsd-10/10.0~svn226872-2, kfreebsd-9/9.0~svn226626-2, kfreebsd-8/8.2-12

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Fri, 26 Nov 2010 21:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas <modax@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 26 Nov 2010 21:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Modestas <modax@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-image-8.1-1-amd64: Delete key does not delete the character to the right of the cursor
Date: Fri, 26 Nov 2010 23:24:03 +0200
Package: kfreebsd-image-8.1-1-amd64
Version: 8.1-5
Severity: serious
Justification: violates MUST directive of Debian Policy 9.8

Hello,

it seems that roles of <-- and Delete keys are somewhat reversed in the VTs of
kFreeBSD.  I was not able to get "Delete" key to "delete the character to the
right of the cursor" (citing chapter 9.8 of Debian Policy). It always deletes
the character to the left of the cursor. <-- deletes the char to the right in
vim (i.e. it acts like "Delete" should), but it behaves properly in the shell
prompt.

I reported this bug as RC because it clearly violates must of Debian policy
chapter 9.8 . It's also very annoying and breaks uniform feel of Debian on
kFreeBSD.

I reported a bug against kfreebsd kernel because I believe this bug lies
somewhere in tty/consio/syscons subsystems. However, I guess it would be possible to adjust keymaps instead.

P.S. It was a huge pain to write this bug report in VT of kfbsd because of this problem.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-8.1-1-amd64 depends on:
ii  freebsd-utils                 8.1-2+b1   FreeBSD utilities needed for GNU/k
ii  kldutils                      8.1-2+b1   tools for managing kFreeBSD module

kfreebsd-image-8.1-1-amd64 recommends no packages.

kfreebsd-image-8.1-1-amd64 suggests no packages.

-- no debconf information




Bug 605065 cloned as bug 605777. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 03 Dec 2010 11:27:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 03 Dec 2010 11:27:06 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Fri, 03 Dec 2010 17:51:09 GMT) Full text and rfc822 format available.

Notification sent to Modestas <modax@debian.org>:
Bug acknowledged by developer. (Fri, 03 Dec 2010 17:51:09 GMT) Full text and rfc822 format available.

Message #14 received at 605065-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 605065-close@bugs.debian.org
Subject: Bug#605065: fixed in kfreebsd-8 8.1+dfsg-7
Date: Fri, 03 Dec 2010 17:47:49 +0000
Source: kfreebsd-8
Source-Version: 8.1+dfsg-7

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.1+dfsg-7.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-7.diff.gz
kfreebsd-8_8.1+dfsg-7.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-7.dsc
kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-source-8.1_8.1+dfsg-7_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.1_8.1+dfsg-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Dec 2010 17:12:11 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.1 kfreebsd-headers-8.1-1 kfreebsd-image-8.1-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.1-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.1-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.1-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.1-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.1-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.1-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.1-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.1+dfsg-7
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1-486 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686-smp - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-amd64 - header files for kernel of FreeBSD 8.1
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.1-1-486 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686-smp - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-amd64 - kernel of FreeBSD 8.1 image
 kfreebsd-source-8.1 - source code for kernel of FreeBSD 8.1 with Debian patches
Closes: 603380 605065 605724
Changes: 
 kfreebsd-8 (8.1+dfsg-7) unstable; urgency=low
 .
   [ Robert Millan ]
   * Add 917_track_alignment.diff to remove obsolete warning about track
     alignment in MSDOS partitions. Closes: #603380.
 .
   [ Petr Salinger ]
   * Add 918_delete_key.diff to conform to Debian Policy,
     9.8 Keyboard configuration. Closes: #605065.
   * Extend 108_teken_utf8_table.diff for U+25AE. Closes: #605724.
Checksums-Sha1: 
 19ac403149a583e24df030d0603f922490f01a89 1898 kfreebsd-8_8.1+dfsg-7.dsc
 385c8ab632276d953a226929a3bdaf605f3f73ac 86466 kfreebsd-8_8.1+dfsg-7.diff.gz
 e5e860c0636e02d484fce245cf33efda660c253b 17481858 kfreebsd-source-8.1_8.1+dfsg-7_all.deb
 f8517b4d5f526affa3338ac6f3f98ac705e0b6df 6553922 kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
 60d5f9edffd3a3e73dcf41498c96a2026181a492 10852932 kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 fd8433e0be183d2e86ba34e37882637fae110a6e 47394 kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 adb241067df976fbe58a4bb9e6311e07b6c3edf7 312150 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 bcfdaaa2bf4129df489ed0a2d5f3b6192888c30e 47398 kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
Checksums-Sha256: 
 4d71881fdc81c24bff99369536cead827033d861e3dbc6a621e4574eff6a1c07 1898 kfreebsd-8_8.1+dfsg-7.dsc
 0f9b385d764b2b2bcdfe1d09e9d298843b4c01fd86039e8fdebcb5f8de4853a6 86466 kfreebsd-8_8.1+dfsg-7.diff.gz
 5a48714ddcec2ff32087d4c237264b54d894d17fcc659d0b8919ee8890de5031 17481858 kfreebsd-source-8.1_8.1+dfsg-7_all.deb
 9779a8b103c418127f251fe951fb97e20bf79ffa5390e5d8ff277a2a512c7e67 6553922 kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
 1c03d0403cb7daffc166ad5ac693d5d3bde1b9c1c7c271ccce61add82a6cd74d 10852932 kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 e303d6847fe108c9c1a0041f842e43ab99249043382c118ff31f68dc938772e3 47394 kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 135270ca2870ac2e78613078495a4415be5ce1c08b7f7a35cc4f2851fe15df3d 312150 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 5aeb351280e4a6e010d26c2e989089a7aa57eb79c288667832e27892beee52ef 47398 kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
Files: 
 714e584e7c8d93d49f476cee480235b0 1898 kernel optional kfreebsd-8_8.1+dfsg-7.dsc
 5b595d65c21c6680286718e67482a64a 86466 kernel optional kfreebsd-8_8.1+dfsg-7.diff.gz
 c46c8902fb99a67d56eaca86ce545409 17481858 kernel optional kfreebsd-source-8.1_8.1+dfsg-7_all.deb
 a562698a7117efbb6e2f49a635771fa8 6553922 kernel optional kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
 c58ebe43de40e1ec95dd573454e2df6f 10852932 kernel optional kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 64768496cf33f38b9347e63a0866b0cf 47394 kernel optional kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 4f804d1bbd7fcff1437f416105a0ca4c 312150 kernel optional kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 0426440f7af5e8bec799d69c42ececa9 47398 kernel optional kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFM+Sdkw3ao2vG823MRAqxSAJ9dSgX0/N8S/6dmkYitcSK+yAHAbgCfdhUe
nJGQr4aQ47GD/9xb78/PnRo=
=x8/H
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 21 Dec 2010 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 21 Dec 2010 07:24:04 GMT) Full text and rfc822 format available.

Message #19 received at 605065@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 08:24:35 +0100 (CET)
>> The changes to the kFreeBSD console and the kbdcontrol package (see
>> #605065 and #605777) need to be accompanied by changing the cons25
>> terminfo entry accordingly, otherwise ncurses-based programs severely
>> misbehave.
>
> You really can't just unilaterally change the cons25 terminfo entry.  If
> this proposed change is implemented, people running stock FreeBSD will
> have their consoles broken if they log into a Debian system.  If
> kFreeBSD needs different settings than the stock cons25 entry, it needs
> to create and use a different TERM type.

Yes, changing cons25 terminfo entry is no option.
The creating of completely new terminfo entry is also no option,
as it means the new entry would be unknown on all other systems.
Moreover it would need changes to some other packages, at least sysvinit.

For the record, I tested new kernel image in the shell
and in jstar(joe) editor, it worked fine.
The jstar is linked to ***libncurses*** :-(

I propose revert changes in kernel and kbdcontrol and ask for ignore tag
for this "technology preview" release.

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 21 Dec 2010 14:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 21 Dec 2010 14:36:06 GMT) Full text and rfc822 format available.

Message #24 received at 605065@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 15:33:17 +0100
2010/12/21 Petr Salinger <Petr.Salinger@seznam.cz>:
>
> I propose revert changes in kernel and kbdcontrol and ask for ignore tag
> for this "technology preview" release.

I second this.  This would make it easier to coordinate with
upstream and at least agree on what name to use.  Release
pressure wouldn't play well with that.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 21 Dec 2010 18:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 21 Dec 2010 18:57:10 GMT) Full text and rfc822 format available.

Message #29 received at 605065@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 20:51:54 +0200
[Message part 1 (text/plain, inline)]
Hello,

On antradienis 21 Gruodis 2010 09:24:35 Petr Salinger wrote:
> >> The changes to the kFreeBSD console and the kbdcontrol package (see
> >> #605065 and #605777) need to be accompanied by changing the cons25
> >> terminfo entry accordingly, otherwise ncurses-based programs severely
> >> misbehave.
> > 
> > You really can't just unilaterally change the cons25 terminfo entry.  If
> > this proposed change is implemented, people running stock FreeBSD will
> > have their consoles broken if they log into a Debian system.  If
> > kFreeBSD needs different settings than the stock cons25 entry, it needs
> > to create and use a different TERM type.
> 
> Yes, changing cons25 terminfo entry is no option.
> The creating of completely new terminfo entry is also no option,
> as it means the new entry would be unknown on all other systems.
> Moreover it would need changes to some other packages, at least sysvinit.

I (as reporter of the original bug #605777) think that BSD team and release 
managers should decide what's the best way to go for Squeeze. However, if the 
decision is to ignore this for Squeeze, #605777 should stay open at its 
current severity (tagged as squeeze-ignore).

Speaking with my DD hat on, the biggest practical problem I see here is that I 
am forced to support kfreebsd while kfreebsd doesn't exactly welcome me with 
arms open. Having backspace and delete keys broken is big deal and has a great 
impact on my efficiency. However, now I know that X environment does not 
suffer from this problem so there is some light at the end of tunnel.

As a temporary workaround, I would suggest (if it's possible) creating a new 
optional userspace keymap (maybe called "US Debian" or something) which would 
be the same as standard kfbsd kernel keymap expect assign proper actions to 
backspace and delete keys. Obviously, this keymap might have some bad side- 
effects (hence it wouldn't be default) but at least users would have a choice.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 21 Dec 2010 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 21 Dec 2010 23:42:03 GMT) Full text and rfc822 format available.

Message #34 received at 605065@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 23:39:50 +0000
[Message part 1 (text/plain, inline)]
On Tue, Dec 21, 2010 at 08:24:35AM +0100, Petr Salinger wrote:
> >You really can't just unilaterally change the cons25 terminfo entry.  If
> >this proposed change is implemented, people running stock FreeBSD will
> >have their consoles broken if they log into a Debian system.  If
> >kFreeBSD needs different settings than the stock cons25 entry, it needs
> >to create and use a different TERM type.
> 
> Yes, changing cons25 terminfo entry is no option.
> The creating of completely new terminfo entry is also no option,
> as it means the new entry would be unknown on all other systems.
> Moreover it would need changes to some other packages, at least sysvinit.

The new entry would presumably be pushed to ncurses upstream, who has
already weighed in here.  I'll write the terminfo entry myself and
attach it to this bug.  Assuming I can test this with kvm, I'll also
look at patching sysvinit and seeing what breaks.

My proposed name for the terminal name is cons25-debian, but you're
obviously free to change it to something more suitable.  Also feel free
to point me towards programs that break that I should test.  Obviously,
I'll be testing vim.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 22 Dec 2010 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 22 Dec 2010 07:42:03 GMT) Full text and rfc822 format available.

Message #39 received at 605065@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 22 Dec 2010 08:41:03 +0100 (CET)
>>> You really can't just unilaterally change the cons25 terminfo entry.  If
>>> this proposed change is implemented, people running stock FreeBSD will
>>> have their consoles broken if they log into a Debian system.  If
>>> kFreeBSD needs different settings than the stock cons25 entry, it needs
>>> to create and use a different TERM type.
>>
>> Yes, changing cons25 terminfo entry is no option.
>> The creating of completely new terminfo entry is also no option,
>> as it means the new entry would be unknown on all other systems.
>> Moreover it would need changes to some other packages, at least sysvinit.
>
> The new entry would presumably be pushed to ncurses upstream, who has
> already weighed in here.  I'll write the terminfo entry myself and
> attach it to this bug.  Assuming I can test this with kvm, I'll also
> look at patching sysvinit and seeing what breaks.
>
> My proposed name for the terminal name is cons25-debian, but you're
> obviously free to change it to something more suitable.  Also feel free
> to point me towards programs that break that I should test.  Obviously,
> I'll be testing vim.

I am still unsure whether this is the right way to go.
It seems that current plain FreeBSD kernel generates events
that fully corresponds to cons25 entry.

It just uses different definitions for kbs and kdch1 
wrt Linux,

Linux:          kbs=\177 kdch1=\E[3~
FreeBSD/cons25s kbs=^H   kdch1=\177

The problem might be incorect "stty erase" setting,
programs that do not honor these settings
or some workarounds in programs.

It seems that upstream FreeBSD plans to switch their $TERM into xterm,
via TEKEN_XTERM.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 22 Dec 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 22 Dec 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #44 received at 605065@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 22 Dec 2010 09:47:42 +0100
On 2010-12-22 08:41 +0100, Petr Salinger wrote:

> It seems that current plain FreeBSD kernel generates events
> that fully corresponds to cons25 entry.
>
> It just uses different definitions for kbs and kdch1 wrt Linux,
>
> Linux:          kbs=\177 kdch1=\E[3~
> FreeBSD/cons25s kbs=^H   kdch1=\177
>
> The problem might be incorect "stty erase" setting,
> programs that do not honor these settings
> or some workarounds in programs.

Emacs, for instance, does not expect ^H to mean "delete previous
character" by default.  Instead it invokes the online help, which is
annoying to no end.  While this can be changed in .emacs, the backspace
key not working out of the box is still a serious problem IMO.

> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
> via TEKEN_XTERM.

Actually the switch to xterm has happened already, more than one year
ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.

Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
upstream has kbs=^H.

Cheers,
       Sven





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Thu, 23 Dec 2010 03:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 23 Dec 2010 03:18:05 GMT) Full text and rfc822 format available.

Message #49 received at 605065@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 04:17:32 +0100 (CET)
>> It seems that current plain FreeBSD kernel generates events
>> that fully corresponds to cons25 entry.
>>
>> It just uses different definitions for kbs and kdch1 wrt Linux,
>>
>> Linux:          kbs=\177 kdch1=\E[3~
>> FreeBSD/cons25  kbs=^H   kdch1=\177

>
> Emacs, for instance, does not expect ^H to mean "delete previous
> character" by default.  Instead it invokes the online help, which is
> annoying to no end.  While this can be changed in .emacs, the backspace
> key not working out of the box is still a serious problem IMO.
>
>> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
>> via TEKEN_XTERM.
>
> Actually the switch to xterm has happened already, more than one year
> ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.
>
> Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
> upstream has kbs=^H.

Given that, it might be the best way to really alter cons25 entry 
in ncurses package (debian only) to use "kbs=\177 kdch1=\E[3~".

The kfreebsd-8 8.1+dfsg-7 and
    freebsd-utils 8.1-3 generates these sequences.

The next debian release will be based of FreeBSD 9.x kernel with xterm 
entry for console anyway.

As follows from /usr/share/doc/libncurses5/FAQ
"The Debian terminfo entry for xterm doesn't work with some other xterms"
the variant cons25-debian have other drawbacks.

Please, can someone with deep understanding of terminfo/termcap/...
comment on this way ?

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Thu, 23 Dec 2010 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 23 Dec 2010 16:15:03 GMT) Full text and rfc822 format available.

Message #54 received at 605065@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 17:10:28 +0100
On 2010-12-23 04:17 +0100, Petr Salinger wrote:

>>> It seems that current plain FreeBSD kernel generates events
>>> that fully corresponds to cons25 entry.
>>>
>>> It just uses different definitions for kbs and kdch1 wrt Linux,
>>>
>>> Linux:          kbs=\177 kdch1=\E[3~
>>> FreeBSD/cons25  kbs=^H   kdch1=\177
>
>>
>> Emacs, for instance, does not expect ^H to mean "delete previous
>> character" by default.  Instead it invokes the online help, which is
>> annoying to no end.  While this can be changed in .emacs, the backspace
>> key not working out of the box is still a serious problem IMO.
>>
>>> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
>>> via TEKEN_XTERM.
>>
>> Actually the switch to xterm has happened already, more than one year
>> ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.
>>
>> Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
>> upstream has kbs=^H.
>
> Given that, it might be the best way to really alter cons25 entry in
> ncurses package (debian only) to use "kbs=\177 kdch1=\E[3~".

I don't see how this follows.  People having an xterm-like terminal that
is not compatible with Debian's xterm terminfo entry can easily work
around it by setting TERM=xterm-r6 or similar when they connect to a
Debian machine.  What are FreeBSD users going to do when we introduce an
incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
they connect to a non-Debian machine?

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Thu, 23 Dec 2010 18:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 23 Dec 2010 18:36:05 GMT) Full text and rfc822 format available.

Message #59 received at 605065@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Sven Joachim <svenjoac@gmx.de>
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 607662@bugs.debian.org, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 18:32:07 +0000
[Message part 1 (text/plain, inline)]
On Thu, Dec 23, 2010 at 05:10:28PM +0100, Sven Joachim wrote:
> I don't see how this follows.  People having an xterm-like terminal that
> is not compatible with Debian's xterm terminfo entry can easily work
> around it by setting TERM=xterm-r6 or similar when they connect to a
> Debian machine.  What are FreeBSD users going to do when we introduce an
> incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
> they connect to a non-Debian machine?

If we push the new entry upstream, it will be picked up by the majority
of Linux distributions, since it will go into ncurses.  FreeBSD has an
ncurses port and so does NetBSD.  I believe it is likely that we can get
the definition pushed to FreeBSD if we can convert it to termcap.  If it
can be converted to termcap, I'll be happy to push it to FreeBSD,
NetBSD, and OpenBSD, assuming they'll accept it.

I've attached the necessary patches to create the cons25-debian terminfo
entry and the patch for sysvinit, which seem to work for me in a fresh
kfreebsd-amd64 installation in kvm (patching /etc/inittab is necessary,
though).  If they're useful, great; if not, that's okay, too.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[ncurses-cons25-debian.patch (text/x-diff, attachment)]
[sysvinit-cons25-debian.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Thu, 23 Dec 2010 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 23 Dec 2010 19:36:03 GMT) Full text and rfc822 format available.

Message #64 received at 605065@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 20:32:10 +0100
On 2010-12-23 19:32 +0100, brian m. carlson wrote:

> On Thu, Dec 23, 2010 at 05:10:28PM +0100, Sven Joachim wrote:
>> I don't see how this follows.  People having an xterm-like terminal that
>> is not compatible with Debian's xterm terminfo entry can easily work
>> around it by setting TERM=xterm-r6 or similar when they connect to a
>> Debian machine.  What are FreeBSD users going to do when we introduce an
>> incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
>> they connect to a non-Debian machine?
>
> If we push the new entry upstream, it will be picked up by the majority
> of Linux distributions, since it will go into ncurses.  FreeBSD has an
> ncurses port and so does NetBSD.  I believe it is likely that we can get
> the definition pushed to FreeBSD if we can convert it to termcap.  If it
> can be converted to termcap, I'll be happy to push it to FreeBSD,
> NetBSD, and OpenBSD, assuming they'll accept it.

How long is that going to take?  In the meantime, console users of
GNU/kFreeBSD are screwed whenever they connect to other systems, since
that means they must change their TERM variable _and_ their backspace
key is broken.

> I've attached the necessary patches to create the cons25-debian
> terminfo entry and the patch for sysvinit, which seem to work for me
> in a fresh kfreebsd-amd64 installation in kvm (patching /etc/inittab
> is necessary, though).  If they're useful, great; if not, that's okay,
> too.

The cons25-debian name might not be a very good one if you want to that
push terminfo entry to other systems.  That may be for Thomas to decide.

Personally I'm leaning towards reverting the changes to the kFreeBSD
kernel and freebsd-utils for Squeeze.  Surely, it means a somewhat
broken console, but at least the problems are about the same as in
FreeBSD proper, and we don't create additional incompatibilities with
other systems.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Mon, 27 Dec 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 27 Dec 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #69 received at 605065@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 09:52:23 +0100 (CET)
> How long is that going to take?  In the meantime, console users of
> GNU/kFreeBSD are screwed whenever they connect to other systems, since
> that means they must change their TERM variable _and_ their backspace
> key is broken.

>> I've attached the necessary patches to create the cons25-debian
>> terminfo entry and the patch for sysvinit, which seem to work for me
>> in a fresh kfreebsd-amd64 installation in kvm (patching /etc/inittab
>> is necessary, though).  If they're useful, great; if not, that's okay,
>> too.
>
> The cons25-debian name might not be a very good one if you want to that
> push terminfo entry to other systems.  That may be for Thomas to decide.
>
> Personally I'm leaning towards reverting the changes to the kFreeBSD
> kernel and freebsd-utils for Squeeze.  Surely, it means a somewhat
> broken console, but at least the problems are about the same as in
> FreeBSD proper, and we don't create additional incompatibilities with
> other systems.

I see two basic options:

1) plain cons25 variant: current sysvinit, ncurses
   and kfreebsd-8 8.1+dfsg-6, freebsd-utils 8.1-2

It does not conform to debian policy, the backspace/delete key is somewhat 
broken on console and somewhat broken when connection to other systems 
from console

2) cons25-debian variant: needs patched sysvinit, patched ncurses,
   and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3

It does conform to debian policy, the backspace/delete key works
on console, it is needed to set TERM when connection to other systems
from console and is somewhat broken when connection is made to other 
systems directly from console.

In both cases the connection to other systems from running X is fine.
In both cases there will be change (and fix) for FreeBSD 9.x kernel,
as it already has TEKEN_XTERM as a default.

The cons25-debian seems be fine for me, as it should be only local change 
for one release of Debian GNU/kFreeBSD. The next one will not use it.

And there is a third option, mixture of both above.
As a default use the plain cons25 variant. Additionaly provide
cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
By default it will work as variant 1, but there is a possibility
to set TERM to cons25-debian and set keymap which would generate the 
correct sequences for cons25-debian.

This variant needs current sysvinit, patched ncurses, patched kfreebsd-8
and patched freebsd-utils.

My personal order of preferences is 3, 1, 2.
All seems better compared to current status.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Mon, 27 Dec 2010 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 27 Dec 2010 16:57:04 GMT) Full text and rfc822 format available.

Message #74 received at 605065@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 17:53:40 +0100
On 2010-12-27 09:52 +0100, Petr Salinger wrote:

> I see two basic options:
>
> 1) plain cons25 variant: current sysvinit, ncurses
>    and kfreebsd-8 8.1+dfsg-6, freebsd-utils 8.1-2
>
> It does not conform to debian policy, the backspace/delete key is
> somewhat broken on console and somewhat broken when connection to
> other systems from console
>
> 2) cons25-debian variant: needs patched sysvinit, patched ncurses,
>    and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
>
> It does conform to debian policy, the backspace/delete key works
> on console, it is needed to set TERM when connection to other systems
> from console and is somewhat broken when connection is made to other
> systems directly from console.

It seems to be a bit more broken than in the situation in 1), though.
For instance, programs that expect ^H to mean "delete previous
character" (this seems to include nano, for instance) work fine in 1),
but most text editors will be broken in 2) when run remotely.

> The cons25-debian seems be fine for me, as it should be only local
> change for one release of Debian GNU/kFreeBSD. The next one will not
> use it.

Any name is fine with me as long as ncurses upstream accepts it.

> And there is a third option, mixture of both above.
> As a default use the plain cons25 variant. Additionaly provide
> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
> By default it will work as variant 1, but there is a possibility
> to set TERM to cons25-debian and set keymap which would generate the
> correct sequences for cons25-debian.

Only one keymap, or several of them?  I would not like having to use US
keyboard layout for correct backspace/delete keys.

> This variant needs current sysvinit, patched ncurses, patched kfreebsd-8
> and patched freebsd-utils.
>
> My personal order of preferences is 3, 1, 2.
> All seems better compared to current status.

I agree with that.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Mon, 27 Dec 2010 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 27 Dec 2010 17:57:03 GMT) Full text and rfc822 format available.

Message #79 received at 605065@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 18:52:06 +0100
2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
>
> I see two basic options:
>
> [...]
> And there is a third option, mixture of both above. [...]

There's a fourth option: backporting TEKEN_XTERM from 9-current.

(I'm not speaking in favour of it, I have no idea whether it'd be
feasible or not)

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Mon, 27 Dec 2010 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 27 Dec 2010 18:51:03 GMT) Full text and rfc822 format available.

Message #84 received at 605065@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 19:51:33 +0100 (CET)
>> The cons25-debian seems be fine for me, as it should be only local
>> change for one release of Debian GNU/kFreeBSD. The next one will not
>> use it.
>
> Any name is fine with me as long as ncurses upstream accepts it.

The next debian release will be based on FreeBSD 9.x kernel, with 
TERM=xterm, so IMHO, this name even do not need to be in upstream.

>> And there is a third option, mixture of both above.
>> As a default use the plain cons25 variant. Additionaly provide
>> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
>> By default it will work as variant 1, but there is a possibility
>> to set TERM to cons25-debian and set keymap which would generate the
>> correct sequences for cons25-debian.
>
> Only one keymap, or several of them?  I would not like having to use US
> keyboard layout for correct backspace/delete keys.

Or a script, which will change currently loaded keymap to policy 
conforming, roughly

 kbdcontrol -d | sed ... | kbdcontrol -l

So best option for now seems be to prevent
freebsd-utils 8.1-3 from entering 
testing and a new upload of kfreebsd-8.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Mon, 27 Dec 2010 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 27 Dec 2010 19:48:03 GMT) Full text and rfc822 format available.

Message #89 received at 605065@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 20:44:51 +0100
On 2010-12-27 19:51 +0100, Petr Salinger wrote:

>>> The cons25-debian seems be fine for me, as it should be only local
>>> change for one release of Debian GNU/kFreeBSD. The next one will not
>>> use it.
>>
>> Any name is fine with me as long as ncurses upstream accepts it.
>
> The next debian release will be based on FreeBSD 9.x kernel, with
> TERM=xterm, so IMHO, this name even do not need to be in upstream.

Would still be nice if it were, so that Squeeze GNU/kFreeBSD users have
at least a chance that remote systems have the terminfo entry.

>>> And there is a third option, mixture of both above.
>>> As a default use the plain cons25 variant. Additionaly provide
>>> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
>>> By default it will work as variant 1, but there is a possibility
>>> to set TERM to cons25-debian and set keymap which would generate the
>>> correct sequences for cons25-debian.
>>
>> Only one keymap, or several of them?  I would not like having to use US
>> keyboard layout for correct backspace/delete keys.
>
> Or a script, which will change currently loaded keymap to policy
> conforming, roughly
>
>  kbdcontrol -d | sed ... | kbdcontrol -l

When is this script to be run, and where should people set the TERM
environment variable for it?

> So best option for now seems be to prevent
> freebsd-utils 8.1-3 from entering testing and a new upload of
> kfreebsd-8.

For the record, freebsd-utils 8.1-3 will migrate in three days if not
hindered.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 28 Dec 2010 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Dec 2010 23:39:03 GMT) Full text and rfc822 format available.

Message #94 received at 605065@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 28 Dec 2010 23:36:57 +0000
On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > So best option for now seems be to prevent
> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > kfreebsd-8.
> 
> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> hindered.

To be precise, it would have migrated tomorrow.  I've just commented out
my unblock hint for freebsd-utils, but that means that #605777 still
isn't fixed in Squeeze so I'd appreciate this getting resolved one way
or another asap.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 29 Dec 2010 09:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 29 Dec 2010 09:27:10 GMT) Full text and rfc822 format available.

Message #99 received at 605065@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>, "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 11:12:59 +0200
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 27 Gruodis 2010 19:52:06 Robert Millan wrote:
> 2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
> > I see two basic options:
> > 
> > [...]
> > And there is a third option, mixture of both above. [...]
> 
> There's a fourth option: backporting TEKEN_XTERM from 9-current.

Actually, I really like the latter option (I don't know how difficult it would 
be though).

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 29 Dec 2010 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 29 Dec 2010 19:09:05 GMT) Full text and rfc822 format available.

Message #104 received at 605065@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 607662@bugs.debian.org, 605777@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 20:07:47 +0100
On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:

> On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
>> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
>> > So best option for now seems be to prevent
>> > freebsd-utils 8.1-3 from entering testing and a new upload of
>> > kfreebsd-8.
>> 
>> For the record, freebsd-utils 8.1-3 will migrate in three days if not
>> hindered.
>
> To be precise, it would have migrated tomorrow.  I've just commented out
> my unblock hint for freebsd-utils, but that means that #605777 still
> isn't fixed in Squeeze so I'd appreciate this getting resolved one way
> or another asap.

I have added the proposed patch for the cons25-debian terminfo entry to
ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
to implement any of the suggested solutions.

Craig, could you please upload ncurses 5.7+20100313-5 (from the sid
branch)?

Cheers,
       Sven


¹ http://git.debian.org/?p=collab-maint/ncurses.git;a=commit;h=8eaf8feced3d17fb54feff450d766457f166ac73




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 29 Dec 2010 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 29 Dec 2010 19:15:06 GMT) Full text and rfc822 format available.

Message #109 received at 605065@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Modestas Vainius <modax@debian.org>
Cc: 607662@bugs.debian.org, Robert Millan <rmh@debian.org>, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 20:10:48 +0100
On 2010-12-29 10:12 +0100, Modestas Vainius wrote:

> On pirmadienis 27 Gruodis 2010 19:52:06 Robert Millan wrote:
>> 2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
>> > I see two basic options:
>> > 
>> > [...]
>> > And there is a third option, mixture of both above. [...]
>> 
>> There's a fourth option: backporting TEKEN_XTERM from 9-current.
>
> Actually, I really like the latter option (I don't know how difficult it would 
> be though).

I like this option as well, but the deep freeze might not be the best
time to implement it.

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 04 Jan 2011 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 04 Jan 2011 22:12:03 GMT) Full text and rfc822 format available.

Message #114 received at 605065@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org
Cc: 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 04 Jan 2011 22:09:21 +0000
On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> 
> > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> >> > So best option for now seems be to prevent
> >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> >> > kfreebsd-8.
> >> 
> >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> >> hindered.
[...]
> I have added the proposed patch for the cons25-debian terminfo entry to
> ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> to implement any of the suggested solutions.

That's now happened; thanks.  Is the ncurses change suitable for
migration in its own right, or does it need an associated change on the
kFreeBSD side still?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 04 Jan 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 04 Jan 2011 22:21:03 GMT) Full text and rfc822 format available.

Message #119 received at 605065@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 00:17:56 +0200
[Message part 1 (text/plain, inline)]
Hello,

On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
> On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > >> > So best option for now seems be to prevent
> > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > >> > kfreebsd-8.
> > >> 
> > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> > >> hindered.
> 
> [...]
> 
> > I have added the proposed patch for the cons25-debian terminfo entry to
> > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> > to implement any of the suggested solutions.
> 
> That's now happened; thanks.  Is the ncurses change suitable for
> migration in its own right, or does it need an associated change on the
> kFreeBSD side still?

Huh, looks like kfreebsd kernel change was reverted [1].

[1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org


-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 04 Jan 2011 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 04 Jan 2011 22:45:05 GMT) Full text and rfc822 format available.

Message #124 received at 605065@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Modestas Vainius <modax@debian.org>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#605065: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 04 Jan 2011 22:41:13 +0000
On Wed, 2011-01-05 at 00:17 +0200, Modestas Vainius wrote:
> Hello,
> 
> On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
> > On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> > > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> > > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> > > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > > >> > So best option for now seems be to prevent
> > > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > > >> > kfreebsd-8.
> > > >> 
> > > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> > > >> hindered.

Hmmm, in fact it looks like someone else unblocked it, so it's migrated
anyway.

> > > I have added the proposed patch for the cons25-debian terminfo entry to
> > > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> > > to implement any of the suggested solutions.
> > 
> > That's now happened; thanks.  Is the ncurses change suitable for
> > migration in its own right, or does it need an associated change on the
> > kFreeBSD side still?
> 
> Huh, looks like kfreebsd kernel change was reverted [1].
> 
> [1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org

Indeed.  I'm now thoroughly confused. :-)

As the freebsd-utils change has hit testing after all, is unblocking
ncurses to go with it sufficient, or do we need further changes?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 05 Jan 2011 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Jan 2011 07:09:03 GMT) Full text and rfc822 format available.

Message #129 received at 605065@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065@bugs.debian.org, 605777@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#607662: Bug#605065: Bug#605777: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 05 Jan 2011 08:07:18 +0100
On 2011-01-04 23:41 +0100, Adam D. Barratt wrote:

> On Wed, 2011-01-05 at 00:17 +0200, Modestas Vainius wrote:
>> Hello,
>> 
>> On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
>> > On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
>> > > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
>> > > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
>> > > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
>> > > >> > So best option for now seems be to prevent
>> > > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
>> > > >> > kfreebsd-8.
>> > > >> 
>> > > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
>> > > >> hindered.
>
> Hmmm, in fact it looks like someone else unblocked it, so it's migrated
> anyway.
>
>> > > I have added the proposed patch for the cons25-debian terminfo entry to
>> > > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
>> > > to implement any of the suggested solutions.
>> > 
>> > That's now happened; thanks.  Is the ncurses change suitable for
>> > migration in its own right, or does it need an associated change on the
>> > kFreeBSD side still?
>> 
>> Huh, looks like kfreebsd kernel change was reverted [1].
>> 
>> [1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org
>
> Indeed.  I'm now thoroughly confused. :-)

Argh, with the current combination of the kFreeBSD kernel, freebsd-utils
and ncurses in sid you are between the devil and the deep blue sea:
either set TERM=cons25 and have the backspace key delete forwards, or
set TERM=cons25-debian and have the delete key delete backwards. :-/

> As the freebsd-utils change has hit testing after all, is unblocking
> ncurses to go with it sufficient, or do we need further changes?

I'd rather ask the kFreeBSD people what they really want for Squeeze.
If they are going to revert the changes in freebsd-utils as well (which
is one of the proposed solutions), there is little point in unblocking
ncurses at all.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 05 Jan 2011 09:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Jan 2011 09:15:06 GMT) Full text and rfc822 format available.

Message #134 received at 605065@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 605065@bugs.debian.org
Cc: Modestas Vainius <modax@debian.org>, Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: Bug#605065: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 10:12:08 +0100
2011/1/4 Adam D. Barratt <adam@adam-barratt.org.uk>:
> As the freebsd-utils change has hit testing after all, is unblocking
> ncurses to go with it sufficient, or do we need further changes?

This is what Petr said after asking me to revert those patches:

  Later we might provide sed script to alter loaded keymap
  into policy conforming. It together with ncurses 5.7+20100313-5
  will allow to have conforming and backspace working local console.

  But for now it is better to provide previous state.

So I guess we only need an unblock for freebsd-utils_8.1-3.1 and
kfreebsd-8_8.1+dfsg-7.1.

(freebsd-utils_8.1-3.1 is being uploaded ATTOW)

Thanks

-- 
Robert Millan




Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 05 Jan 2011 09:15:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Wed, 05 Jan 2011 09:15:17 GMT) Full text and rfc822 format available.

Message #139 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 10:15:15 +0100 (CET)
Hi.

Background:

The plain FreeBSD kernel generates different sequences
for Backspace and Delete keys compared to Linux (and required by Policy).
Generated sequences can be altered by kbdcontrol (from freebsd-utils 
source package) and the default sequences are of course in kernel 
(kfreebsd-8 source package).

I together with Aurelien prepared patches for changing them into same 
sequences as on Linux, both uploaded.

Unfortunately, it have been shown, that it does not suffice.
The sequences are also stored at least in ncurses TERM definition:

Linux:          kbs=\177 kdch1=\E[3~
FreeBSD/cons25s kbs=^H   kdch1=\177

Therefore also at least ncurses and sysvinit packages have to be changed.
It is not possible to just alter cons25 entry as it would break conection 
to other systems, the new TERM name is needed. It would not be available 
on other systems.

Current reasonable options:

1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
   and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2

   It does not conform to debian policy, the backspace/delete key is
   somewhat small broken on console and somewhat small broken when
   connection to other systems from console

2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
   and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3

   It does conform to debian policy, the backspace/delete key works
   on console, it is needed to set TERM when connection to other systems
   from console and is somewhat big broken when connection is made to
   other systems directly from console.

3) mixture of both above
   current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
   patched freebsd-utils

   As a default use the plain cons25 variant. Additionaly provide
   cons25-debian entry in ncurses and special debian keymap in
   freebsd-utils. By default it will work as variant 1, but there is a
   possibility to set TERM to cons25-debian and set keymap which would
   generate the correct sequences for cons25-debian.

4) backport TEKEN_XTERM from FreeBSD 9.x
   needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils

My personal order of preferences in deep freeze is 3, 1, 4, 2.
All are better compared to current status.
Long term solution is 4.

I asked Robert to upload kfreebsd-8 8.1+dfsg-7.1 to implement option 1.
Unfortunately freebsd-utils 8.1-3 migrated into testing, despite
http://lists.debian.org/debian-bsd/2010/12/msg00128.html

> If they are going to revert the changes in freebsd-utils as well (which
> is one of the proposed solutions), there is little point in unblocking
> ncurses at all.

No, the unblocking of ncurses allows us to implement option 3.

The problem exists only on local text console, the delete/backspace keys 
work correctly when logged on local X console or remotely.

The quickest solution is to disable 032_delete_key.diff in freebsd-utils
and unblock it and unblock kfreebsd-8 8.1+dfsg-7.1 aka option 1.

Eventually later on (if time permits before release or for point release),
prepare extended freebsd-utils and unblock it. It would require
ncurses 5.7+20100313-5. The ncurses can be safely migrated earlier.

I am sorry, but I didn't seen consequences of altering
generated sequences for delete/backspace keys earlier.

Petr




Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 05 Jan 2011 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and filed, but not forwarded. (Wed, 05 Jan 2011 19:51:06 GMT) Full text and rfc822 format available.

Message #144 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 05 Jan 2011 19:47:27 +0000
On Wed, 2011-01-05 at 10:15 +0100, Petr Salinger wrote:
> The plain FreeBSD kernel generates different sequences
> for Backspace and Delete keys compared to Linux (and required by Policy).
> Generated sequences can be altered by kbdcontrol (from freebsd-utils 
> source package) and the default sequences are of course in kernel 
> (kfreebsd-8 source package).
> 
> I together with Aurelien prepared patches for changing them into same 
> sequences as on Linux, both uploaded.
> 
> Unfortunately, it have been shown, that it does not suffice.

Thanks for the summary.

[...]
> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
[...]
> 2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
>     and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
[...]
> 3) mixture of both above
>     current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
>     patched freebsd-utils
> 
>     As a default use the plain cons25 variant. Additionaly provide
>     cons25-debian entry in ncurses and special debian keymap in
>     freebsd-utils. By default it will work as variant 1, but there is a
>     possibility to set TERM to cons25-debian and set keymap which would
>     generate the correct sequences for cons25-debian.
> 
> 4) backport TEKEN_XTERM from FreeBSD 9.x
>     needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils
> 
> My personal order of preferences in deep freeze is 3, 1, 4, 2.

Just to make sure I understand correctly, option 3 is roughly "doesn't
conform to Policy but can be made to without significant effort" and a
sysvinit update would be necessary in order to make the default Policy
compliant?  If so, how large is the change required to sysvinit?

> All are better compared to current status.
> Long term solution is 4.
> 
> I asked Robert to upload kfreebsd-8 8.1+dfsg-7.1 to implement option 1.
> Unfortunately freebsd-utils 8.1-3 migrated into testing, despite
> http://lists.debian.org/debian-bsd/2010/12/msg00128.html

Unfortunately it got re-unblocked by someone else and I didn't notice
until it was too late.

> > If they are going to revert the changes in freebsd-utils as well (which
> > is one of the proposed solutions), there is little point in unblocking
> > ncurses at all.
> 
> No, the unblocking of ncurses allows us to implement option 3.
> 
> The problem exists only on local text console, the delete/backspace keys 
> work correctly when logged on local X console or remotely.
> 
> The quickest solution is to disable 032_delete_key.diff in freebsd-utils
> and unblock it and unblock kfreebsd-8 8.1+dfsg-7.1 aka option 1.

freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
change made there; am I correct that unblocking kfreebsd-8,
freebsd-utils and ncurses would give us option 1 on your list and that
basically puts us back where we were to start with?  If so, what other
changes would be required (and how large would be they be) to allow us
to implement option 3?

Regards,

Adam





Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Wed, 05 Jan 2011 20:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Wed, 05 Jan 2011 20:57:07 GMT) Full text and rfc822 format available.

Message #149 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 21:56:08 +0100 (CET)
>> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
>>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
> [...]
>> 2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
>>     and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
> [...]
>> 3) mixture of both above
>>     current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
>>     patched freebsd-utils
>>
>>     As a default use the plain cons25 variant. Additionaly provide
>>     cons25-debian entry in ncurses and special debian keymap in
>>     freebsd-utils. By default it will work as variant 1, but there is a
>>     possibility to set TERM to cons25-debian and set keymap which would
>>     generate the correct sequences for cons25-debian.
>>
>> 4) backport TEKEN_XTERM from FreeBSD 9.x
>>     needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils
>>
>> My personal order of preferences in deep freeze is 3, 1, 4, 2.
>
> Just to make sure I understand correctly, option 3 is roughly "doesn't
> conform to Policy but can be made to without significant effort"

Yes.

> and a
> sysvinit update would be necessary in order to make the default Policy
> compliant?  If so, how large is the change required to sysvinit?

See in Message #70 received at 607662@bugs.debian.org:

http://bugs.debian.org//cgi-bin/bugreport.cgi?msg=70;filename=sysvinit-cons25-debian.patch;att=2;bug=607662

But the problem is that there might be another problem in another 
package - similarly as have been shown that fixing kfreebsd-8 and 
freebsd-utils  does not suffice :-(
I guess we do not have enough time before real release 
for proper testing. IMHO it would be much better to release in state as 
have been used in last months (years) compared to unknown state.

> freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
> change made there; am I correct that unblocking kfreebsd-8,
> freebsd-utils and ncurses would give us option 1 on your list and that
> basically puts us back where we were to start with?

For option 1 please unblock freebsd-utils 8.1-3.1 and kfreebsd-8 8.1+dfsg-7.1

The ncurses 5.7+20100313-5 is not needed for option 1,
but it wouldn't hurt.

> If so, what other
> changes would be required (and how large would be they be) to allow us
> to implement option 3?

In 1st step unblock (and migrate) kfreebsd-8 and freebsd-utils as above
in 2nd step unblock ncurses 5.7+20100313-5 and 
in 3rd step prepare and test another update for freebsd-utils.

The change for freebsd-utils will be some new script like

   kbdcontrol -d | sed ... | kbdcontrol -l
   kbdcontrol -f 61 ESC[3~
   TERM=cons25-debian

Or something like that.
The first command should alter sequence for scan code
*0e* to 0x7F and for scan code *53* to F(61).
The second command should alter sequence generated for F(61).
See also 
http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-8/debian/patches/918_delete_key.diff?rev=3199&sc=1

Hereby I am asking for

unblock for
freebsd-utils 8.1-3.1
kfreebsd-8 8.1+dfsg-7.1
ncurses 5.7+20100313-5

And squeeze-ignore tag for 
605065, 605777. The 607662 already have it.

Cheers and many thanks

		Petr





Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Sat, 08 Jan 2011 19:39:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and filed, but not forwarded. (Sat, 08 Jan 2011 19:39:19 GMT) Full text and rfc822 format available.

Message #154 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Sat, 08 Jan 2011 19:36:10 +0000
user release.debian.org@packages.debian.org
found 605605 8.1+dfsg-7.1
tag 605605 + squeeze-ignore
usertag 605605 + squeeze-can-defer
found 605777 8.1+dfsg-7.1
tag 605777 + squeeze-ignore
usertag 605777 + squeeze-can-defer
thanks

On Wed, 2011-01-05 at 21:56 +0100, Petr Salinger wrote:
> >> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
> >>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
[...]
> > freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
> > change made there; am I correct that unblocking kfreebsd-8,
> > freebsd-utils and ncurses would give us option 1 on your list and that
> > basically puts us back where we were to start with?
[...]
> Hereby I am asking for
> 
> unblock for
> freebsd-utils 8.1-3.1
> kfreebsd-8 8.1+dfsg-7.1
> ncurses 5.7+20100313-5

Done.

> And squeeze-ignore tag for 
> 605065, 605777. The 607662 already have it.

Done, along with marking both bugs as present in kfreebsd-8 8.1
+dfsg-7.1.

If it's possible to get this fixed for a point release, that would be
great.  If not, at least people now have a work-around until we can fix
this properly in wheezy; thanks for all of your work on this.

Regards,

Adam





Bug Marked as found in versions kfreebsd-8/8.1+dfsg-7.1 and reopened. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Jan 2011 19:51:09 GMT) Full text and rfc822 format available.

Added tag(s) squeeze-ignore. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Jan 2011 19:51:09 GMT) Full text and rfc822 format available.

Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Mon, 10 Jan 2011 11:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Mon, 10 Jan 2011 11:27:10 GMT) Full text and rfc822 format available.

Message #163 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605777@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 12:27:51 +0100 (CET)
[Message part 1 (text/plain, inline)]
> The change for freebsd-utils will be some new script like
>
>   kbdcontrol -d | sed ... | kbdcontrol -l
>   kbdcontrol -f 61 ESC[3~
>   TERM=cons25-debian

Attached is the mentioned script. It have to be run directly on console
or by "sh keymap-policy.sh < /dev/console"
The keymap is altered system wide, i.e. on all virtual consoles.
And you have to manually set "TERM=cons25-debian" aftewards.

The (current) reset back is
  /etc/init.d/kbdcontrol start
  kbdcontrol -F
  TERM=cons25

Please could you test whether it work with your
native national keymap as expected ?

The expected installed (and running) packages versions are:
 freebsd-utils 8.1-3.1
 kfreebsd-8 8.1+dfsg-7.1
 ncurses 5.7+20100313-5

RFC part:
The integration should be into /etc/init.d/kbdcontrol,
by adding two targets, like keymap-native and keymap-debian.

May be it can be run even semi-automatically, by
detecting whether the /etc/inittab uses cons25 or cons25-debian
and noop or alter keymap.

Many thanks

	Petr
[keymap-policy.sh (application/x-sh, attachment)]

Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Mon, 10 Jan 2011 15:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Mon, 10 Jan 2011 15:51:12 GMT) Full text and rfc822 format available.

Message #168 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605777@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 16:47:25 +0100
On 2011-01-10 12:27 +0100, Petr Salinger wrote:

>> The change for freebsd-utils will be some new script like
>>
>>   kbdcontrol -d | sed ... | kbdcontrol -l
>>   kbdcontrol -f 61 ESC[3~
>>   TERM=cons25-debian
>
> Attached is the mentioned script. It have to be run directly on console
> or by "sh keymap-policy.sh < /dev/console"
> The keymap is altered system wide, i.e. on all virtual consoles.
> And you have to manually set "TERM=cons25-debian" aftewards.
>
> The (current) reset back is
>   /etc/init.d/kbdcontrol start
>   kbdcontrol -F
>   TERM=cons25
>
> Please could you test whether it work with your
> native national keymap as expected ?

Works fine with german.iso.kbd in /etc/kbdcontrol.conf, thanks.

Cheers,
       Sven




Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Mon, 10 Jan 2011 17:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 10 Jan 2011 17:54:12 GMT) Full text and rfc822 format available.

Message #173 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 605777@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 19:50:57 +0200
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 10 Sausis 2011 13:27:51 Petr Salinger wrote:
> > The change for freebsd-utils will be some new script like
> > 
> >   kbdcontrol -d | sed ... | kbdcontrol -l
> >   kbdcontrol -f 61 ESC[3~
> >   TERM=cons25-debian
> 
> Attached is the mentioned script. It have to be run directly on console
> or by "sh keymap-policy.sh < /dev/console"
> The keymap is altered system wide, i.e. on all virtual consoles.
> And you have to manually set "TERM=cons25-debian" aftewards.
> 
> The (current) reset back is
>    /etc/init.d/kbdcontrol start
>    kbdcontrol -F
>    TERM=cons25
> 
> Please could you test whether it work with your
> native national keymap as expected ?

It works fine. Both shell and vim behave as I expect now.

> The expected installed (and running) packages versions are:
>   freebsd-utils 8.1-3.1
>   kfreebsd-8 8.1+dfsg-7.1
>   ncurses 5.7+20100313-5
> 
> RFC part:
> The integration should be into /etc/init.d/kbdcontrol,
> by adding two targets, like keymap-native and keymap-debian.
> 
> May be it can be run even semi-automatically, by
> detecting whether the /etc/inittab uses cons25 or cons25-debian
> and noop or alter keymap.

Yes, I like the latter (auto detection) part. Another solution could be a 
debconf question in kbdcontrol (though it might be too late for this).

What's more, I think this issue (with short instructions whatever the final 
integration part ends up being) warrants a note in release notes.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 18 Jan 2011 08:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Tue, 18 Jan 2011 08:15:06 GMT) Full text and rfc822 format available.

Message #178 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Modestas Vainius <modax@debian.org>, aurel32@debian.org, 605777@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: Bug#605777: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Tue, 18 Jan 2011 09:17:31 +0100 (CET)
[Message part 1 (text/plain, inline)]
>> The integration should be into /etc/init.d/kbdcontrol,
>> by adding two targets, like keymap-native and keymap-debian.
>>
>> May be it can be run even semi-automatically, by
>> detecting whether the /etc/inittab uses cons25 or cons25-debian
>> and noop or alter keymap.
>
> Yes, I like the latter (auto detection) part. Another solution could be a
> debconf question in kbdcontrol (though it might be too late for this).

Attached is the proposed new /etc/init.d/kbdcontrol.
The current default is
FLAVOUR=auto

Should be the default "auto" or "native" ?

Is there still a time to do freebsd-utils upload ?
The only change against current one would be the new 
/etc/init.d/kbdcontrol script.

Cheers
	Petr
[kbdcontrol.init (text/plain, attachment)]

Information stored :
Bug#605065; Package kfreebsd-image-8.1-1-amd64. (Tue, 18 Jan 2011 09:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. (Tue, 18 Jan 2011 09:09:08 GMT) Full text and rfc822 format available.

Message #183 received at 605065-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 605777@bugs.debian.org, Modestas Vainius <modax@debian.org>, aurel32@debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Tue, 18 Jan 2011 10:05:00 +0100
On 2011-01-18 09:17 +0100, Petr Salinger wrote:

>>> The integration should be into /etc/init.d/kbdcontrol,
>>> by adding two targets, like keymap-native and keymap-debian.
>>>
>>> May be it can be run even semi-automatically, by
>>> detecting whether the /etc/inittab uses cons25 or cons25-debian
>>> and noop or alter keymap.
>>
>> Yes, I like the latter (auto detection) part. Another solution could be a
>> debconf question in kbdcontrol (though it might be too late for this).
>
> Attached is the proposed new /etc/init.d/kbdcontrol.
> The current default is
> FLAVOUR=auto
>
> Should be the default "auto" or "native" ?
>
> Is there still a time to do freebsd-utils upload ?
> The only change against current one would be the new
> /etc/init.d/kbdcontrol script.
>
> Cheers
> 	Petr
>
> #! /bin/sh
> ### BEGIN INIT INFO
> # Provides:             kbdcontrol
> # Required-Start:       $local_fs $remote_fs
> # Required-Stop:
> # Default-Start:        S
> # Default-Stop:
> # Short-Description:    Set keymap
> # Description:          Set the Console keymap
> ### END INIT INFO
> #
> # skeleton	example file to build /etc/init.d/ scripts.
> #		This file should be used to construct scripts for /etc/init.d.
> #
> #		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
> #		Modified for Debian 
> #		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
> #
> # Version:	@(#)skeleton  1.9  26-Feb-2001  miquels@cistron.nl
> #
>
> set -e
>
> PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
> which kbdcontrol >/dev/null

Please add " || exit 0" to not fail if kbdcontrol is removed but not
purged.

> # in general, keymap layout can be
> # native:  the plain FreeBSD/cons25 layout
> # debian:  the Debian Policy 9.8 (Keyboard configuration) conforming, aka cons25-debian
> # auto:    scan /etc/inittab and guess the right one
> FLAVOUR=auto
>
> # for auto do the guess
> if [ $FLAVOUR = auto ]
> then
>   if grep -q -e "respawn:/sbin/getty.*cons25-debian" /etc/inittab

This will match lines that are commented out.

Cheers,
       Sven




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 29 Oct 2011 22:00:06 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 29 Oct 2011 22:36:07 GMT) Full text and rfc822 format available.

Notification sent to Modestas <modax@debian.org>:
Bug acknowledged by developer. (Sat, 29 Oct 2011 22:36:08 GMT) Full text and rfc822 format available.

Message #190 received at 605065-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 605065-close@bugs.debian.org
Subject: Bug#605065: fixed in kfreebsd-10 10.0~svn226872-2
Date: Sat, 29 Oct 2011 22:33:08 +0000
Source: kfreebsd-10
Source-Version: 10.0~svn226872-2

We believe that the bug you reported is fixed in the latest version of
kfreebsd-10, which is due to be installed in the Debian FTP archive:

kfreebsd-10_10.0~svn226872-2.debian.tar.gz
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226872-2.debian.tar.gz
kfreebsd-10_10.0~svn226872-2.dsc
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226872-2.dsc
kfreebsd-headers-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
kfreebsd-headers-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
kfreebsd-headers-10.0-0_10.0~svn226872-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0_10.0~svn226872-2_kfreebsd-amd64.deb
kfreebsd-image-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-image-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
kfreebsd-image-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-image-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
kfreebsd-source-10.0_10.0~svn226872-2_all.deb
  to main/k/kfreebsd-10/kfreebsd-source-10.0_10.0~svn226872-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Oct 2011 22:23:38 +0200
Source: kfreebsd-10
Binary: kfreebsd-source-10.0 kfreebsd-headers-10.0-0 kfreebsd-image-10.0-0-amd64 kfreebsd-image-10-amd64 kfreebsd-headers-10.0-0-amd64 kfreebsd-headers-10-amd64 kfreebsd-image-10.0-0-486 kfreebsd-image-10-486 kfreebsd-headers-10.0-0-486 kfreebsd-headers-10-486 kfreebsd-image-10.0-0-686 kfreebsd-image-10-686 kfreebsd-headers-10.0-0-686 kfreebsd-headers-10-686 kfreebsd-image-10.0-0-686-smp kfreebsd-image-10-686-smp kfreebsd-headers-10.0-0-686-smp kfreebsd-headers-10-686-smp kfreebsd-image-10.0-0-xen kfreebsd-image-10-xen kfreebsd-headers-10.0-0-xen kfreebsd-headers-10-xen kfreebsd-image-10.0-0-malta kfreebsd-image-10-malta kfreebsd-headers-10.0-0-malta kfreebsd-headers-10-malta
Architecture: source all kfreebsd-amd64
Version: 10.0~svn226872-2
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-10-486 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-686 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-686-smp - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-amd64 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-malta - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-xen - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10.0-0 - Common architecture-specific header files for kernel of FreeBSD 1
 kfreebsd-headers-10.0-0-486 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-686 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-686-smp - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-amd64 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-malta - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-xen - header files for kernel of FreeBSD 10.0
 kfreebsd-image-10-486 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-686 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-686-smp - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-amd64 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-malta - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-xen - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10.0-0-486 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-686 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-686-smp - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-amd64 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-malta - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-xen - kernel of FreeBSD 10.0 image
 kfreebsd-source-10.0 - source code for kernel of FreeBSD 10.0 with Debian patches
Closes: 605065
Changes: 
 kfreebsd-10 (10.0~svn226872-2) experimental; urgency=low
 .
   * Require ZFS v28 userland (Breaks: zfsutils (<< 8.3~)).
   * Recover 918_delete_key.diff patch from r3199.  (Closes: #605065)
Checksums-Sha1: 
 f64402d7216c212a55c15e44e8576726385727f5 3572 kfreebsd-10_10.0~svn226872-2.dsc
 8865723430c832c027f1fb87d066ce53b763d443 80407 kfreebsd-10_10.0~svn226872-2.debian.tar.gz
 0ac6c24096b7bbe5cc207dca70fc790b3724026c 21711788 kfreebsd-source-10.0_10.0~svn226872-2_all.deb
 5f838d1b794e67fa560533cbb0e1cc89475306c9 9712524 kfreebsd-headers-10.0-0_10.0~svn226872-2_kfreebsd-amd64.deb
 46301fcbdc15987496c68238a5c0e5159b90f297 15334872 kfreebsd-image-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 68ebecc1f961bebf8fbc56797b7621d6f77e5f36 49528 kfreebsd-image-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 ecfff5ce65ba489077e399eb4cea846d668e84f6 318874 kfreebsd-headers-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 ffbcf5c34eb9db9781d33ab6d2d3326e3f68ca06 49534 kfreebsd-headers-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 3e48f9994253896d77824a13397bdb7090bd13e83e96444bcc860e39362f0a8b 3572 kfreebsd-10_10.0~svn226872-2.dsc
 f94ed2b105d7fd40b985e4e6377b3115dccf2f252ccc1007db01b466dadc8d50 80407 kfreebsd-10_10.0~svn226872-2.debian.tar.gz
 712ec58b20601e31e26ef15522aa9cd63b5adf6bfcfc8973e7e8aeffea604229 21711788 kfreebsd-source-10.0_10.0~svn226872-2_all.deb
 8fb667d618127b744f9f1d09355a2a1f219daaf5960e21569780fc14af679f62 9712524 kfreebsd-headers-10.0-0_10.0~svn226872-2_kfreebsd-amd64.deb
 8d07e1fc4cc3ad05d91fe8be6eee80c15c439b24ed08a5e89c971850a5730495 15334872 kfreebsd-image-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 ae1d5766c091a400a71c35056b3b34f69d5c3af299bd4e6620d556a1629b26a5 49528 kfreebsd-image-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 24c1200b33b37a7dd490f194bfec60a1e561027eefb33250a88b64327ffcfe8c 318874 kfreebsd-headers-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 2853deaf85c040705e2e5be9158afe4bf329e90bbfe2fd947a106b16cb306994 49534 kfreebsd-headers-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
Files: 
 3561324ffe585a1658bb2705b6626069 3572 kernel optional kfreebsd-10_10.0~svn226872-2.dsc
 940ce2d0b3d9d252796876959843974e 80407 kernel optional kfreebsd-10_10.0~svn226872-2.debian.tar.gz
 c7f6336670f06258c48ac12cc072f824 21711788 kernel optional kfreebsd-source-10.0_10.0~svn226872-2_all.deb
 516f6be01c5870712af3d031b925416a 9712524 kernel optional kfreebsd-headers-10.0-0_10.0~svn226872-2_kfreebsd-amd64.deb
 3950d0c2392696e7ae307e883de05b75 15334872 kernel optional kfreebsd-image-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 5c23690af5168b23f039d8fbbf7aba6b 49528 kernel optional kfreebsd-image-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 6ed1775ad5123b2ba5565441f5bd751f 318874 kernel optional kfreebsd-headers-10.0-0-amd64_10.0~svn226872-2_kfreebsd-amd64.deb
 6fa98c92d5f2adfe2d4b7522545da789 49534 kernel optional kfreebsd-headers-10-amd64_10.0~svn226872-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6sdkIACgkQC19io6rUCv/WrACgiMoi/PKOHG7Pxw8Zcvoq8d0G
qcsAn3qh6E89QJ07UrsjRnFUEtVahiH2
=3LPj
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 30 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Notification sent to Modestas <modax@debian.org>:
Bug acknowledged by developer. (Sun, 30 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Message #195 received at 605065-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 605065-close@bugs.debian.org
Subject: Bug#605065: fixed in kfreebsd-9 9.0~svn226626-2
Date: Sun, 30 Oct 2011 22:18:17 +0000
Source: kfreebsd-9
Source-Version: 9.0~svn226626-2

We believe that the bug you reported is fixed in the latest version of
kfreebsd-9, which is due to be installed in the Debian FTP archive:

kfreebsd-9_9.0~svn226626-2.debian.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn226626-2.debian.tar.gz
kfreebsd-9_9.0~svn226626-2.dsc
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn226626-2.dsc
kfreebsd-headers-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0_9.0~svn226626-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0_9.0~svn226626-2_kfreebsd-amd64.deb
kfreebsd-image-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
kfreebsd-image-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
kfreebsd-source-9.0_9.0~svn226626-2_all.deb
  to main/k/kfreebsd-9/kfreebsd-source-9.0_9.0~svn226626-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Oct 2011 18:29:05 +0100
Source: kfreebsd-9
Binary: kfreebsd-source-9.0 kfreebsd-headers-9.0-0 kfreebsd-image-9.0-0-amd64 kfreebsd-image-9-amd64 kfreebsd-headers-9.0-0-amd64 kfreebsd-headers-9-amd64 kfreebsd-image-9.0-0-486 kfreebsd-image-9-486 kfreebsd-headers-9.0-0-486 kfreebsd-headers-9-486 kfreebsd-image-9.0-0-686 kfreebsd-image-9-686 kfreebsd-headers-9.0-0-686 kfreebsd-headers-9-686 kfreebsd-image-9.0-0-686-smp kfreebsd-image-9-686-smp kfreebsd-headers-9.0-0-686-smp kfreebsd-headers-9-686-smp kfreebsd-image-9.0-0-xen kfreebsd-image-9-xen kfreebsd-headers-9.0-0-xen kfreebsd-headers-9-xen kfreebsd-image-9.0-0-malta kfreebsd-image-9-malta kfreebsd-headers-9.0-0-malta kfreebsd-headers-9-malta
Architecture: source all kfreebsd-amd64
Version: 9.0~svn226626-2
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-9-486 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686-smp - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-amd64 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-malta - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-xen - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9.0-0 - Common architecture-specific header files for kernel of FreeBSD 9
 kfreebsd-headers-9.0-0-486 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686-smp - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-amd64 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-malta - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-xen - header files for kernel of FreeBSD 9.0
 kfreebsd-image-9-486 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686-smp - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-amd64 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-malta - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-xen - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9.0-0-486 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686-smp - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-amd64 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-malta - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-xen - kernel of FreeBSD 9.0 image
 kfreebsd-source-9.0 - source code for kernel of FreeBSD 9.0 with Debian patches
Closes: 605065
Changes: 
 kfreebsd-9 (9.0~svn226626-2) experimental; urgency=low
 .
   * Remove 907_cpu_class.diff (it breaks FreeBSD userland when running
     in a chroot on Debian kernel).
   * Require ZFS v28 userland (Breaks: zfsutils (<< 8.3~)).
   * Recover 918_delete_key.diff patch from r3199.  (Closes: #605065)
Checksums-Sha1: 
 b9329e713c0b19893cff45f41d772ea0690299ed 3504 kfreebsd-9_9.0~svn226626-2.dsc
 6ac9e98b437b12dafbee43af2db24c029bfa12ca 81201 kfreebsd-9_9.0~svn226626-2.debian.tar.gz
 d0f6f7872d7faa424eadccfc98ef2b2d2105891e 21589954 kfreebsd-source-9.0_9.0~svn226626-2_all.deb
 405e13de86204291b7b13805dce7e68b50362e85 9708724 kfreebsd-headers-9.0-0_9.0~svn226626-2_kfreebsd-amd64.deb
 fb81208c8a6e4aa21b424204cc133ab9c51217ae 14841676 kfreebsd-image-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 518cb7251d0da5bbd7bbfcc464c00b526eb1a775 49422 kfreebsd-image-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 8f2413e12ff571d9efff05a1dd464b94f6d43927 318876 kfreebsd-headers-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 444efcd35ede6f9a926322dc73c50f1a3cb951f9 49420 kfreebsd-headers-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 63447d1be190fbd981b5cb08232e76c311da20065c47cbfd3bfc05238eb6be25 3504 kfreebsd-9_9.0~svn226626-2.dsc
 d71fd4ae7b0dddb923516c77c515e18163a7bbf47f29497b0ae933f4238cdd29 81201 kfreebsd-9_9.0~svn226626-2.debian.tar.gz
 9612aea767057e454f9b84c60170934955c6a55d3c8f1273420e780a088319f8 21589954 kfreebsd-source-9.0_9.0~svn226626-2_all.deb
 e83146582afe61b873867a6238372e62c355d943b7d5fb6af24b8804a9feb6c1 9708724 kfreebsd-headers-9.0-0_9.0~svn226626-2_kfreebsd-amd64.deb
 acde65439d8289374444612c600c286d330be0aae0b0a1657e2fe37564d0fff6 14841676 kfreebsd-image-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 65214bf534785757698c990effa094d7c35ef0495295fa171264782c51fc3c91 49422 kfreebsd-image-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 978d79b1226033fd0d94d93ef6393f8456c4b334ca9b658c5a71e60f12a1a074 318876 kfreebsd-headers-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 e779ed0a3e8468093590c307b80a033b87a81d7dc6938a5d727c41cbfc7efdfa 49420 kfreebsd-headers-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
Files: 
 721899573bd889e9fa8e663555ebb806 3504 kernel optional kfreebsd-9_9.0~svn226626-2.dsc
 c7692d312e03865f39a13f37c554d411 81201 kernel optional kfreebsd-9_9.0~svn226626-2.debian.tar.gz
 f563b2ff6a29840c017ae69ca416b1e3 21589954 kernel optional kfreebsd-source-9.0_9.0~svn226626-2_all.deb
 b119263724614f768732c9f015a8e927 9708724 kernel optional kfreebsd-headers-9.0-0_9.0~svn226626-2_kfreebsd-amd64.deb
 c63df56792143357cf550a211e488716 14841676 kernel optional kfreebsd-image-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 91a5a93c2e54d0c648f39df0d4fa46b2 49422 kernel optional kfreebsd-image-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 f61fe1775a9a4632ccb9748795aefb77 318876 kernel optional kfreebsd-headers-9.0-0-amd64_9.0~svn226626-2_kfreebsd-amd64.deb
 3500c42f53264b93ba6173ef1baf4088 49420 kernel optional kfreebsd-headers-9-amd64_9.0~svn226626-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6txGYACgkQC19io6rUCv8zvwCdEZcUMocfX+pM4wtf0EItC1KA
oxEAnixmFERbyb7tqB51va6J/o5paVeA
=86eZ
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Wed, 02 Nov 2011 23:51:04 GMT) Full text and rfc822 format available.

Notification sent to Modestas <modax@debian.org>:
Bug acknowledged by developer. (Wed, 02 Nov 2011 23:51:04 GMT) Full text and rfc822 format available.

Message #200 received at 605065-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 605065-close@bugs.debian.org
Subject: Bug#605065: fixed in kfreebsd-8 8.2-12
Date: Wed, 02 Nov 2011 23:48:37 +0000
Source: kfreebsd-8
Source-Version: 8.2-12

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-12.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-12.debian.tar.gz
kfreebsd-8_8.2-12.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-12.dsc
kfreebsd-headers-8-amd64_8.2-12_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-12_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-12_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-12_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-12_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-12_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-12_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-12_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 01 Nov 2011 13:51:36 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-12
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 605065
Changes: 
 kfreebsd-8 (8.2-12) unstable; urgency=low
 .
   * Enable TEKEN_XTERM.
   * Backport libteken and syscons from 9-STABLE (r226626).
   * Recover 918_delete_key.diff patch from r3199.  (Closes: #605065)
Checksums-Sha1: 
 2c0ee03ec1689febc89d16887e6f65bf06f4be15 3418 kfreebsd-8_8.2-12.dsc
 7a792a756e09d3f0aaf257c417fa6bb5a17aa730 132588 kfreebsd-8_8.2-12.debian.tar.gz
 6a8d4fa8265535e03fa9a560af7376d99adcf9b6 18730434 kfreebsd-source-8.2_8.2-12_all.deb
 fb06a29b82b694b5bcf12524935b037e88a115ac 7331050 kfreebsd-headers-8.2-1_8.2-12_kfreebsd-amd64.deb
 430f451d9b7c45af397fcce366ca1b2cd5e22834 12640840 kfreebsd-image-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
 6a412e87a449372af9a6e620f995cc220700aeb7 49094 kfreebsd-image-8-amd64_8.2-12_kfreebsd-amd64.deb
 f1db7b1b5b73e17a209c3f40bfbcd8cfb4fdffc6 325830 kfreebsd-headers-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
 dbb70fb67e94ef6fa78dcd31cff6674629c9414e 49094 kfreebsd-headers-8-amd64_8.2-12_kfreebsd-amd64.deb
Checksums-Sha256: 
 52476490f7612706170fbecc91115d3fddb5126f12dffee12720411e5d6e72e6 3418 kfreebsd-8_8.2-12.dsc
 3828e0148eddbf992a8e8755808f6474822827f1eb5a8cd3a51af90a1d2185db 132588 kfreebsd-8_8.2-12.debian.tar.gz
 a2f25d33076b700a837d75f65d8a2a95f466572cb5c9d400fe0275f5e3a9a41e 18730434 kfreebsd-source-8.2_8.2-12_all.deb
 21136249a1372040296f75f53636e22a9f48067a77ed071425bbc40a885e242f 7331050 kfreebsd-headers-8.2-1_8.2-12_kfreebsd-amd64.deb
 658516e2b6c23d87039003f71a4aacefefc8a0e2926565478e77b7a45c1cf746 12640840 kfreebsd-image-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
 e30a560bb296773db49c548d10eb0c38fa49d32f7eaba28f7b16b74970bd51e9 49094 kfreebsd-image-8-amd64_8.2-12_kfreebsd-amd64.deb
 f5cceec8a76cb9a5c88dcbee658a956cb2b8bc2a8da39ae0fbda3a7cb1d6c775 325830 kfreebsd-headers-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
 48e2e09c066f44648478b637f3eaa4d424c4150714d5700ca27690dd4804b4b7 49094 kfreebsd-headers-8-amd64_8.2-12_kfreebsd-amd64.deb
Files: 
 ccc3a3166f9a3a0f4a1c8776ff5403c2 3418 kernel optional kfreebsd-8_8.2-12.dsc
 9a578965001aa9ada18bcc3b880c4b6d 132588 kernel optional kfreebsd-8_8.2-12.debian.tar.gz
 f133c720541dd90be888bb7e8346fae7 18730434 kernel optional kfreebsd-source-8.2_8.2-12_all.deb
 f57bdef4aacf4e2b6d508e5b7a51bca3 7331050 kernel optional kfreebsd-headers-8.2-1_8.2-12_kfreebsd-amd64.deb
 6c6ee8ab4fbb905969dc21786ae07ea2 12640840 kernel optional kfreebsd-image-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
 c9226dd4afc6c5573318803a16aa3502 49094 kernel optional kfreebsd-image-8-amd64_8.2-12_kfreebsd-amd64.deb
 5e1d423aaa7a344beb98f0c71751f591 325830 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-12_kfreebsd-amd64.deb
 4d2d4bd83120e0f3882b900eb83d64b9 49094 kernel optional kfreebsd-headers-8-amd64_8.2-12_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6xJSIACgkQC19io6rUCv/dywCfbKwo/beM/UjPPrfEombOZcNX
VjEAnA8lBhtQfNzHt62uqpsNB+0RVgiV
=lZaK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:52:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:09:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.